<ecl-page-header class="ecl-u-mb-xl ecl-u-ph-none">
  <h1 eclPageHeaderTitle class="ecl-u-ma-none ecl-u-type-heading-3">{{ 'app.header.menu-item.requirements' | translate }}</h1>
  <ng-container>
    <div eclPageHeaderDescriptionContainer class="ecl-u-pv-none ecl-u-mt-xl">
      <div class="header__description-image-container ecl-u-border-all ecl-u-border-color-blue-20">
        <img src="assets/images/requirement.svg" alt="" />
      </div>
      <p eclPageHeaderDescription class="header__description" innerHTML="{{ 'requirements-page.main.description' | translate }}"> </p>
    </div>
  </ng-container>
</ecl-page-header>
<div class="ecl-container">
  <form eclFormGroup *ngIf="!dataLoading && !errorState" [formGroup]="filtersForm" class="filters__container ecl-u-mb-xl">
    <div class="filters__search">
      <input
        eclTextInput
        class="ecl-u-pr-4xl"
        type="search"
        [placeholder]="'requirements-page.main.search-form.placeholder' | translate"
        formControlName="search"
        [attr.aria-label]="'aria-label.input.search' | translate" />
      <div class="search-icon-container">
        <ecl-icon icon="search" size="m" />
      </div>
    </div>
    <div class="filters__select ecl-u-mt-none">
      <select
        eclMultiselect
        eclSize="xl"
        [eclPlaceholder]="'requirements-page.main.select-form.placeholder' | translate"
        formControlName="select">
        <option
          eclMultiselectOption
          *ngFor="let option of multiselectOptions"
          [value]="option.value"
          [label]="option.label | translate"></option>
      </select>
    </div>
  </form>
  <div *ngIf="!dataLoading && !errorState" class="table__container">
    <app-table
      [tableData]="tableDataSource"
      [defaultSort]="{ sortOrder: 'descending', columnId: 'procedure' }"
      [tableConfig]="tableConfig"
      [currentTextFilter]="filteredValues.search"
      [currentSelectFilters]="[{ columnId: 'domain', filterValues: filteredValues.select }]"
      [isMobile]="isMobile"
      (rowClick)="onRowClickHandler($event)">
    </app-table>
  </div>
  <div *ngIf="dataLoading" class="spinner-container ecl-u-mv-4xl">
    <ecl-loading-indicator>
      <div eclSpinnerLabel>
        {{ 'common.spinner.label' | translate }}
      </div>
    </ecl-loading-indicator>
  </div>
  <app-message-box
    *ngIf="errorState"
    [title]="errorMessage.title"
    [description]="errorMessage.description"
    [state]="errorMessage.state"></app-message-box>
</div>
